Package be.fgov.ehealth.hubservices.core.v2

# Class BasicTransactionType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.BasicTransactionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class BasicTransactionType extends Object implements Serializable

Java class for BasicTransactionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BasicTransactionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicTransactionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  Gets the value of the author property.
  `IDKMEHR`
  `getId()`
  Gets the value of the id property.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setId(IDKMEHR value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BasicTransactionType

    public BasicTransactionType()

- ## Method Details

  - ### getId

    public IDKMEHR getId()
    Gets the value of the id property.
    Returns:
      possible object is `IDKMEHR`

  - ### setId

    public void setId(IDKMEHR value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `IDKMEHR`

  - ### getAuthor

    public AuthorType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`